apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: bootstrap-namespaces
  namespace: argocd
spec:
  destination:
    namespace: default
    server: https://kubernetes.default.svc
  project: default
  source:
    path: k22-namespaces
    targetRevision: HEAD
    repoURL: https://gitlab.com/agepoly/it/k22/bootstrap.git
  syncPolicy:
    syncOptions:
    - CreateNamespace=false
    - ServerSideApply=true
